| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCommandLineHelper Class Reference

This class can be used to help parsing the commandline. More...

`#include <csutil/cmdhelp.h>`

List of all members.

## Static Public Member Functions
static bool | CheckHelp (iObjectRegistry *object_reg, iCommandLineParser *cmdline=0)
| Check if -help is given on the commandline and return true.
static void | Help (iObjectRegistry *object_reg, iCommandLineParser *cmdline=0)
| Ask for Help.

## Detailed Description

This class can be used to help parsing the commandline.

One of the functionalities it gives is the ability to have commandline help. To do that it will look at all plugins and see if they implement iConfig. This class requires the iPluginManager and iCommandLineParser to be in the object registry (or else you give it as a parameter).

Definition at line 39 of file cmdhelp.h.

## Member Function Documentation

static bool csCommandLineHelper::CheckHelp | ( | iObjectRegistry * | object_reg,
|  | iCommandLineParser * | cmdline = `0` |
| ) |  |  | `[static]`

Check if -help is given on the commandline and return true.

static void csCommandLineHelper::Help | ( | iObjectRegistry * | object_reg,
|  | iCommandLineParser * | cmdline = `0` |
| ) |  |  | `[static]`

Ask for Help.

This function will first send a broadcast message of type csevCommandLineHelp and then it will check all plugins and see if they implement iConfig. If the commandline parser is not given then the default commandline parser from the registry will be used.

The documentation for this class was generated from the following file:

- csutil/cmdhelp.h